Skip to main content
GET
Queue a single donor's donation history export

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Query Parameters

donor_id
integer
required

Donor whose donations to export.

Response

Export queued.

message
string
Example:

"Export initiated successfully. You will get a notification in Activity when the CSV is ready to download."

status
string
Example:

"queued"

export_id
integer
Example:

512

status_url
string
Example:

"/admin/donations/exports/512/status"